Package com.sas.lsaf.workflow.element

## Enum CompletedElement.TaskCompletedState

- java.lang.Object
- - java.lang.Enum<CompletedElement.TaskCompletedState>
  - - com.sas.lsaf.workflow.element.CompletedElement.TaskCompletedState

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CompletedElement.TaskCompletedState>`
  Enclosing class:
    CompletedElement

      public static enum CompletedElement.TaskCompletedState
      extends java.lang.Enum<CompletedElement.TaskCompletedState>

  The completed states of the element.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COMPLETED_CANCELED` | The job was cancelled.
    `COMPLETED_CHECKIN_ERROR` | The job completed successfully but there were errors when checking in the job files.
    `COMPLETED_FAILED` | The task failed.
    `COMPLETED_SASERRORS` | The job completed with errors.
    `COMPLETED_SASERRORS_CHECKIN_ERROR` | The job completed with errors and there were errors when checking in the job files.
    `COMPLETED_SASWARNINGS` | The job completed with warnings.
    `COMPLETED_SASWARNINGS_CHECKIN_ERROR` | The job completed with warnings and there were errors when checking in the job files.
    `COMPLETED_SUCCESSFUL` | The task completed successfully.
    `NO_VALID_RECIPIENTS` | The task did not specify recipients.
    `PROCESS_FLOW_OWNER_ACCOUNT_ERROR` | There was an issue with the process flow owner account, so the task did not run.
    `SETUP_NOT_ENTERED` | The set up information was missing.
    `TERMINATED` | The element was terminated because a terminate end event was reached, which ended the process flow.
    `UNKNOWN` | The task completion state is unknown.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CompletedElement.TaskCompletedState` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CompletedElement.TaskCompletedState[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COMPLETED_SUCCESSFUL

          public static final CompletedElement.TaskCompletedState COMPLETED_SUCCESSFUL

      The task completed successfully.

    - #### COMPLETED_SASERRORS

          public static final CompletedElement.TaskCompletedState COMPLETED_SASERRORS

      The job completed with errors.

    - #### COMPLETED_CHECKIN_ERROR

          public static final CompletedElement.TaskCompletedState COMPLETED_CHECKIN_ERROR

      The job completed successfully but there were errors when checking in the job files.

    - #### COMPLETED_SASERRORS_CHECKIN_ERROR

          public static final CompletedElement.TaskCompletedState COMPLETED_SASERRORS_CHECKIN_ERROR

      The job completed with errors and there were errors when checking in the job files.

    - #### COMPLETED_FAILED

          public static final CompletedElement.TaskCompletedState COMPLETED_FAILED

      The task failed.

    - #### COMPLETED_CANCELED

          public static final CompletedElement.TaskCompletedState COMPLETED_CANCELED

      The job was cancelled.

    - #### COMPLETED_SASWARNINGS

          public static final CompletedElement.TaskCompletedState COMPLETED_SASWARNINGS

      The job completed with warnings.

    - #### COMPLETED_SASWARNINGS_CHECKIN_ERROR

          public static final CompletedElement.TaskCompletedState COMPLETED_SASWARNINGS_CHECKIN_ERROR

      The job completed with warnings and there were errors when checking in the job files.

    - #### SETUP_NOT_ENTERED

          public static final CompletedElement.TaskCompletedState SETUP_NOT_ENTERED

      The set up information was missing.

    - #### PROCESS_FLOW_OWNER_ACCOUNT_ERROR

          public static final CompletedElement.TaskCompletedState PROCESS_FLOW_OWNER_ACCOUNT_ERROR

      There was an issue with the process flow owner account, so the task did not run.

    - #### NO_VALID_RECIPIENTS

          public static final CompletedElement.TaskCompletedState NO_VALID_RECIPIENTS

      The task did not specify recipients.

    - #### TERMINATED

          public static final CompletedElement.TaskCompletedState TERMINATED

      The element was terminated because a terminate end event was reached, which ended the process flow.

    - #### UNKNOWN

          public static final CompletedElement.TaskCompletedState UNKNOWN

      The task completion state is unknown.

  - ### Method Detail

    - #### values

          public static CompletedElement.TaskCompletedState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CompletedElement.TaskCompletedState c : CompletedElement.TaskCompletedState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CompletedElement.TaskCompletedState valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null